*** Gravity Forms Product Add-Ons Changelog ***
2023.05.04 - version 3.4.4
    * Fix: Fix for Nested Forms by toggling AJAX only when the parent form is rendered.
    * Fix: Resolve warnings regarding $err_level
    * Update:  Add Product SKU to the exportable fields list from Gravity Forms Entries.
    * Update:  Update the form's created_by field to the customer ID early in the process so that it's available to submission hooks.
    * Update:  Move export functionality to separate class.
    * Update:  Add additional fields, such as the product SKU, to the exportable fields list from Gravity Forms Entries.
    * Update:  WC and WP Updates.

2023.04.10 - version 3.4.3
    * WC and WP Updates.
    * Fix: Fix issue with the notes section not being available on the entry detail page.

2023.03.06 - version 3.4.2
    * Compatibility:  Add support for WooCommerce HPOS.
    * Fix: Fix issue with the multi-file uploader not working on the last page of a multi-page form.
    * Fix: Fix issue with the anti-spam honeypot rejecting submissions.
    * Fix: Fix issues with multi page forms.

2023.02.24 - version 3.4.1
    * Fix:  Fix issue with multi-file upload fields for Gravity Forms 2.7.x
    * Update:  Filter the WooCommerce order number before exporting.
    * Update:  Remove old compatibility code for WooCommerce < 3
    * Update:  WC and WP compatibility updates.

2022.11.10 - version 3.3.28
    * Fix:  Include the RGFormsModel if it's not already loaded.
    * Update:  WC and WP Updates.
    * Update:  Don't put hash on query string if disable anchors is on.
    * Update:  PHP 8.1 compatibility.
    * Update:  WC 7.x compatibility.

2022.02.21 - version 3.3.27
    * Update:  Disable feed queue so that webhooks are triggered right away when the order is placed.
    * Update:  Check if Gravity Forms itself is active before running any plugin code.
    * New:  Add woocommerce order item quantity as export field option when exporting gravity forms entries.

2022.01.08 - version 3.3.26
    * Enhancement:  Added action, woocommerce_gforms_after_field_groups, to allow rendering custom sections in the gravity forms configuration section.
    * Enhancement:  Added filter, woocommerce_gravityforms_before_save_metadata, to allow adjusting the _gravity_form_data value before save.

2021.12.02 - version 3.3.25
    * Fix:  Ensure $gravity_forms_history variable is defined when resuming an order to prevent issues with PayPal checkout.
    * Enhancement: Double slash the _gravity_forms_history value before it's saved as order item meta data.  Prevents WP from breaking unicode escaped sequences.

2021.09.10 - version 3.3.24
    * Update: Switch check for the multifile uploader.
    * Update: Added a filter to disable initializing the file uploader.

2021.08.26 - version 3.3.22
    * Update: Use product labels as the display value by default.
    * Update: Trigger the multifile upload if Gravity Forms does not do it by itself.

2021.08.21 - version 3.3.21
    * Update:  WP Updates.
    * Update:  Add CSS to remove the bullets from the totals section and align it to the left.
    * Update:  Back out the attempt to remove AJAX add to cart handling.
    * Fix: Fix issue with the multifile uploader being bound twice.
    * Fix: Fix issue with the multifile uploader showing [] in the order if no files are uploaded.
    * Update:  WC and WP Updates.

2021.07.14 - version 3.3.20
    * Update:  WC and WP Updates.
    * Update:  Added additional debug statements when Gravity Forms Logging is active.

2021.05.12 - version 3.3.19
    * Fix: Remove confirmation message from form after adding product to the cart.

2021.02.12 - version 3.3.18
    * Update:  WC and WP Updates.
    * Update:  General code cleanup.

2020.11.23 - version 3.3.17
    * Update:  Allow the Gravity Forms Options total to be filtered by WooCommerce Dynamic Pricing if that option is enabled.
    * Update:  WC and WP Updates.

2020.10.15 - version 3.3.16
    * Update:  WC and WP Tags
    * Update: Add support for woocommerce_one_page_checkout
    * Update:  New filter to allow product_page and woocommerce_one_page_checkout shortcode to be inside of meta fields.
                    add_filter('woocommerce_gforms_get_post_content', function($content, $post) {  return get_post_meta($post, 'my_meta_field') }, 10, 2);

2020.08.18 - version 3.3.15
    * New:  Added filter, woocommerce_gforms_script_params, to allow modification of the script params object enqueued for the forms front end.
    * Update:  Added additional logging when an order is being created.

2020.06.25 - version 3.3.14
    * Update:  WC and WP version compatibility tags.
    * Fix:  Fix issue with email fields which require email confirmation on subscription renewal.
    * Fix:  Short circuit get_item_data if subscription_initial_payment is present on the cart item because subscriptions stores the meta data and automatically adds it back in.
                If we allow this to run, we end up with duplicate cart item meta data.

2020.05.06 - version 3.3.12
    * Fix:  Make sure variation exists before attempting to get the price.
    * Update:  WC and WP version compatibility tags.

2020.04.15 - version 3.3.11
    * Update:  WC and WP Version Bump.

2020.02.19 - version 3.3.10
    * Update:  Allow for the CSS class of wc-gforms-hide-from-email to work on Product Fields in the cart.
    * Update:  Allow for the CSS class of wc-gforms-hide-from-email to work on Product Fields during checkout and the order process.
    * Update:  WC and WP Version Bump.

2019.09.16 - version 3.3.9
    * Update:  Include Structured Data Helper
            Helpful when the base price of the product is 0, or when you want Google to be aware of the pricing options in your form.
    * Update:  Added translations for some more admin options which were missing them.
    * Update:  Hide add to cart buttons via CSS when on a multipage form and not on the last page.
    * Update:  Update the gform entry metadata before sending notifications so that the WC Order information can be used.
    * Update:  Fields marked with the Visibility: Hidden attribute will be hidden in the WC Order details.
    * Update:  Update Dynamic Pricing calculation so that variable product rules can be taken into account.
    * Update:  Allow for drop down quantity fields.
    * Update:  Make sure fields with a "0" value are included in the cart, orders, and confirmation emails.
    * Update:  Fix display issue with custom hidden fields in the Order display screen.

2019.02.27 - version 3.3.8
    * Update:  Include new filter woocommerce_gforms_order_item_meta to allow filtering of order item meta data just prior to it being added to the WC order item.
    * Update:  Perform a check before adding order item meta data to prevent duplicates.  This could only be caused if the filter was being called incorrectly twice for some reason.
    * Update:  Include new filter woocommerce_gforms_get_cart_item_total to filter the gforms total to be added to the cart item.
    * Update:  Include the ability to attach a gravity form to a products bulk input form when WooCommerce Bulk Variation Forms are in use.

2019.01.02 - version 3.3.7
    * Update:  Tested to WC 3.5.3
    * Update:  Tested to WP 5.0.2
    * Update:  Fix issue where 0 values were not being displayed in the cart.
    * Fix:  Fix for validation errors when the user fails to fill out all the required fields on a form more than once.
    * New:  Add option to display totals section before the form.  Helpful for multi-page forms.
    * New:  Include separate Bulk Variations Form selection option.  Fixes issues with duplicate forms being rendered.
    * Fix:  Fix issue where the setting for Replace Modified Items was not being saved.
    * Fix:  Fix issue with the gform_product_total and not respecting the Use Dynamic Pricing filter.
    * Fix:  Fix warning in PHP 7.3 about continue inside of a switch statement.

2018.10.23 - version 3.3.6
    * Update:  Use basename() for file names rather than attempting to parse ourselves.
    * Update:  Add hidden class to the metaboxes to help fix up some bouncing in the UI when editing products.
    * Update:  Add additional arguments to the woocommerce_order_item_display_meta_value call on the order screen.
    * Update:  Tested to WC 3.5

2018.08.22 - version 3.3.5
    * Update:  Only use file names when creating the order item meta.
    * Fix:  Fix issue with the reorder validation.

2018.08.09 - version 3.3.4
    * Fix:  Fix calculation when using Dynamic Pricing.
    * Update:  WP version update.
    * Update:  Make sure the same form is attached to the product when re-ordering, otherwise re-order is disallowed.
    * Update:  Fill in email confirmation field when using the cart edit feature.
    * Update:  Use products regular base price when performing AJAX calculations for Dynamic Pricing.

2018.06.29 - version 3.3.3
    * Fix:  Update created_by property instead of user on the entries created during checkout.
    * Update:  Remove - from plugin name.
    * Update:  WC and WP version updates.

2018.06.05 - version 3.3.2
    * New:  Add woocommerce_gravityforms_wcs_new_order_created_create_entries to allow disabling of new entry creation on subscription renewal.
    * Update:  Prevent WooCommerce Subscriptions from causing duplicate entry information.
    * Update:  Fire validation for woocommerce_order_again_cart_item_data.
    * Fix:  Account for checkbox product option fields when using the cart edit option.
    * Fix:  Fix Cart Edit - Replace Modified Items.
    * Update:  Include class GFFormDisplay in get_item_data in case developers use gravity form hooks which expect that to be loaded.
    * Update:  Allow forms to work on external products.

2018.05.11 - version 3.3.1
    * Fix:  Fix warning about missing function in the entry management class.
    * Fix:  Fix issue where we did not return data from on_get_order_again_cart_item_data.

2018.04.26 - version 3.3.0
    * Note:   Tested up to Gravity Forms 2.3
    * Fix:    Entry deletion for Gravity Forms 2.3
    * Fix:    Scroll to form automatically if there are validation errors.
    * Update: Include Order Status column as part of the Gravity Forms Entry export feature.
    * Update: Include support for Bulk Variation forms.  Note, this works best when disabling the total and subtotal labels.
    * Update: Update entry after gform_entry_post_save filter is called on order creation.
    * Update: Add admin notice about Gravity Forms Duplicate Prevention plugin causing problems with the extension.
    * Update: Moved the Gravity Forms meta box into the WooCommerce Product data meta box to match standards for extensions.
    * Update: Perform validation when re-ordering to validate the entry is still valid and that the form still exists.
    * Update: Prevent Zapier from sending duplicate data to it's API.
    * New:  Include the ability to edit cart items.
                Clicking on the cart item title will re-populate a form with previously submitted values.
                Added Additional Options section to control the editing of cart items.  Default is off.
    * New:  Include ability to turn off the default form notifications which are sent for the form when an item is ordered.
    * New:  Include the ability to use a Gravity Form field as the quantity field for the cart item.  Supported types are Quantity, Single Product, and Number fields.
    * New:  Create entries for the Subscription Orders when the Subscription is renewed.
    * New:  Include ability to keep form entries transaction and payment details in sync with the WooCommerce Order.
    * New:  Include action for when Gravity Forms creates the final entry for the order.
            	do_action( 'woocommerce_gravityforms_entry_created', $entry_id, $order_id, $order_item, $form_data, $lead_data );
    * Fix:  Fix issue where GFormsDisplay was not defined on checkout page.

2018.02.05 - version 3.2.9
     * Fix:  Do not strip HTML from form options that use an image as their label.
     * Fix:  Fix issue in WC 3.3.x where images and files uploaded were not listed properly in the order details screen.

2018.01.29 - version 3.2.8
    * Update:  Only create one entry on order creation, even if the order is being resumed.
    * Update:  Do not fire gf_after_submission hooks during cart validation or addition unless we have
        configured entries to be saved when adding to the cart ( default false )
    * Update:  Fire gform_entry_created and gform_entry_post_save on order created so that Feeds who use those hooks will function properly.
    * Fix:  Fix issue with Multi File Uploaded not working properly.
    * New:  Added pre-population filters for wcgf_product_id, wcgf_product_sku, wcgf_variation_id, wcgf_variation_sku.  Use these to fill in the
                respective values on any form field that allows pre-population.

2018.01.16 - version 3.2.7
    * Fix:  Move entry manager init to on_init to allow themes to override.

2018.01.02 - version 3.2.6
    * Fix:  Fix issue where legacy code was causing an error in a function that is called in extreme rare situations.

2017.11.22 - version 3.2.5
    * Fix:  Fix issue with Multi File Uploaded not working properly.

2017.10.16 - version 3.2.4
    * Update:  Add woo update header to plugin header.
    * Fix:  Fix problem with variation prices differences not updating the totals section as different variations selected.


2017.10.16 - version 3.2.3
    * Fix:  Fix issue with entry creation for WooCommerce 3.2x

2017.08.28 - version 3.2.2
    * Fix:  Check if the product has been loaded in the woocommerce_before_add_to_cart_form action.
    * Fix:  Update get_product function to prevent gravity forms from caching the result of conditional product fields.

2017.08.15 - version 3.2.1
    * Update:  Add filter to completely disable the creation of Gravity Form Entries.
               add_filter('woocommerce_gravityforms_create_entries', '__return_false');

2017.08.08 - version 3.2.0
    * Fix:  Double check that the wc_gravity_form jQuery function only runs on the cart form.

2017.07.24 - version 3.1.12
    * New:  Introduce woocommerce_gforms_get_item_data filter to allow filtering of additional cart data.
            add_filter('woocommerce_gforms_get_item_data', 'custom_woocommerce_gforms_get_item_data', 10, 4);
            function custom_woocommerce_gforms_get_item_data($item_data, $field, $lead, $form_meta){
                //Make changes to item data if required.
                return $item_data;
            }


2017.06.16 - version 3.1.11
    * Fix:  Call get price in edit mode so price adjustments are not filtered and hardcoded on the cart item price.

2017.05.31 - version 3.1.10
    * Fix:  Fix issue where fields with empty labels were not being saved to the order on WC 3.x
    * Fix:  Additional checks in display helper in case function called incorrectly from the theme or other extensions.
    * Fix:  Fix recording the gravity forms history on order placement, resolves warnings regarding undefined index.

2017.05.12 - version 3.1.9
    * Fix:  Fix issue where fields hidden by conditional logic were showing up in the order details on a completed order.
    * Fix:  Fix issue where entries where not created when the order was placed for Variable Products. #39
    * Update:  Allow the recaptcha field to function.
        There is a limitation though that on successful addition to the cart the product page needs to be refreshed in order for the re-captcha to show up again.
    * Fix:  Fix issue where Before and After text was duplicated for Variable Products.
    * Fix:  Fix issue with missing argument in add_to_cart text filter.

2017.04.25 - version 3.1.8
    * Update:  Remove deprecated call to adjust_price();
    * Update:  Prevent the View Gravity Form entry data from appearing in re-sent processing emails.
    * Update:  Prevent the gravity form entry meta key from being saved as order item meta when an order is updated.

2017.04.11 - version 3.1.7
    * Update:  Fix display of admin notices on bookable products.

2017.04.05 - version 3.1.6
    * Fix:  Fix function reference error to wc_add_notice from the admin.
    * Fix:  Fix product prices not being hidden in WC 3.0 when selecting the option in the Gravity Forms configuration.

2017.03.28 - version 3.1.5
    * Update:  Final tweaks for WC 3.0.0
    * Fix:  Fix double slash in URL's when WC less than 3.0.0

2017.03.21 - version 3.1.4
    * Update: Check if the class exists wc-gforms-hide-from-email rather than if it is the only class on a field hidden from email.

2017.03.07 - version 3.1.3
    * Fix:  Update address field to separate field values with a comma in order item meta.
    * Update:  Select options uses woocommerce text domain now, to match translations from WC Core iteself.

2017.02.16 - version 3.1.2
    * Fix:  Fix notice in orders screen if the gravity form entry no longer exists.
    * Fix:  Forms attached to variable products were no longer calculating grand total when variation changed.
    * Fix:  Fix translation string for Select Options.

2017.02.06 - version 3.1.1
    * Fix:  Fixes issue where Max Length would show up twice on paragraph fields.
    * Fix:  Fix issue with hanging when using Multiple Shipping Addresses plugin.

2017.01.25 - version 3.1.0
    * Major Update:
        Gravity Form entries are now created when a customer places an order which has gravity forms data as part of it.
        See the readme.txt for more details.

    * Update:  WC 2.7 updates for adding order item meta.
    * Update:  Adds some basic CSS for multifile upload button.
    * Update:  Don't list gravity form product name twice when added to the cart, or order placed.
    * Fix:  Include helper css for file uploaders on product shortcodes.

2017.01.24 - version 3.0.2
    * Update:  Include a filter to not delete the entries created when an item is added to the cart.
    * Fix:     Fix issue with file uploaders.

2017.01.19 - version 3.0.1
    * Update:  Use a custom entry delete function so we don't delete files that are uploaded.

2017.01.12 - version 3.0.0
    * Update:  WooCommerce 2.7 Ready
    * Update:  Remove gravity form entries after item added to the cart.
               The entries are not connected to the actual order in any way and just cause confusion

2017.01.05 - version 2.11.3
    * Fix:  Remove deprecated code to gforms long field value.  Use RGFormsModel::get_lead_field_value instead.

2016.11.23 - version 2.11.2
    * Update: Allow products with gravity forms attached to work properly when loaded via WooCommerce Quick View extension.
    * Update: Better handling of the scripts loaded and attached to each form.
    * Update: Better compatibility with the WooCommerce products shortcode.
    * Fix: Correct issue with variable reference missing $

2016.11.15 - version 2.11.0
    * Update: Include .pot language file for translators.

2016.11.03 - version 2.10.11
    * Update:  Added helper CSS classes to indicate if an item should be hidden from order emails and order administration screens.
    * Update:  Added javascript function, get_gravity_forms_price so that extensions such as composite products can get the price of the form when re-loading parts of the composite.

2016.06.20 - version 2.10.10
	* Fix:  Correct WSOD issue when using the product_page shortcode.

2016.06.16 - version 2.10.9
	* Fix:  Prior to the 2.10.8 update the extension would automatically disable any emails from being sent by Gravity Forms
		when an item was added to the cart.   This feature was missed in 2.10.8, and is added back here.

2016.06.13 - version 2.10.8
	* Update:  Use new catalog visibility hook to render the form in the correct location. Requires WC 2.4 or greater.
	* Update:  Refactor cart and display logic into individual classes.
	* Fix:  Correct issue on admin screen with missing closing div

2016.04.12 - version 2.10.7
	* Fix:  Correct issues with multipage forms, anchors, and Internet Explorer.

2016.02.11 - version 2.10.6
	* Update:  Add option to enable Dynamic Pricing Calculations when using this extension along with WooCommerce Dynamic Pricing.
		   Option is in the totals section when configuring products' gravity form options.   Option is only available when Dynamic Pricing is active.

	* Update:  Add filter, woocommerce_gforms_get_product_form_data to allow filtering of the gravity form attached to a product.
		   apply_filters( 'woocommerce_gforms_get_product_form_data', get_post_meta( $post_id, '_gravity_form_data', true ), $post_id );

2016.01.25 - version 2.10.5
	* Update: Filter to load gravity form for variable product using old hook method.
		This is required for sites with WC 2.4+ but have themes which do not call the woocommerce_single_variation hook as 2.4+ requires.
		Add this to your functions.php file:
			add_filter('woocommerce_gforms_use_template_back_compatibility', '__return_true');
	* Update:  Added backwards compatibility check for less than WC 2.4, will use old hook to bind the form.
	* Fix:  Properly enqueue scripts when using product_page shortcode.
	* Fix:  Properly render the form when using the product_page shortcode.

2015.12.30 - version 2.10.4
	* WC 2.5 Compatibility

2015.11.17 - version 2.10.3
	* Use WC 2.4 actions to bind the gravity form inside of the variation wrap area.

2015.11.4 - version 2.10.2
	* Fix:  Correctly handle the file upload field if it's not multifile.

2015.10.27 - version 2.10.1
	* Update:  Small update to include price suffix after the Grand Total section.

2015.10.5 - version 2.10.0
	* Update:  Updates the way file upload fields are listed on order and order confirmation screens. Lists out each file comma separated.

2015.08.24 - version 2.9.9
	* Fix:  Fixes issue with new ajax params from 2.9.8 not being enqueued when using the product_page shortcode.

2015.07.28 - version 2.9.8
	* Update:  Major Update.  Remove ajax total calculation and formatting when Gravity Form options change.
		Migrate all the calculations to JavaScript.

2015.07.09 - version 2.9.7
	* Fix:  Check if the global post object is available before checking if a product shortcode exists in $post->post_content.

2015.06.16 - version 2.9.6
	* Update:  Check if the price before and price after setting is empty before adding it to the HTML.
	* Update:  Append the free html from the filter to the end of the price before for free products.

2015.06.09 - version 2.9.5
	* Update: Change the way the gravity forms scripts are enqueued when using the product_page shortcode. Ensures compatibility with later versions of gravity forms
	* Update: Add support for the Time field.

2015.05.01 - version 2.9.4
	* Fix:  Remove console.log debug statement to resolve problems with IE.

2015.04.21 - version 2.9.3
	* Fix - Potential XSS with add_query_arg

2015.04.16 - version 2.9.2
	* Fix:  Respect the tax display setting when displaying the total at the bottom of a gravity form.  Prices in a gravity form option still need to be entered inclusive of tax.

2015.03.20 - version 2.9.1
	* Fix:  Fix to allow Secure forms to work properly after Gravity Forms 2.9.4.1

2015.03.02 - version 2.9.0
	* Fix:  Hidden field usage.
	* Update:  Add gravityforms_add_to_cart_text to the functions which override the add to cart link.

2015.02.26 - version 2.8.9
	* Fix:  Override gravity forms display:block !important on mobile devices when total options are hidden.

2015.02.25 - version 2.8.8
	* Fix: Remove missing spinner icon from block UI.
	* Fix: Fix notice when editing a product.

2015.02.16 - version 2.8.7
	* Added filter to allow hidden fields to be displayed in the cart and customer emails.
	* Feature:  Include the filter woocommerce_gforms_use_label_as_value in the cart display as well as order information.

2015.02.12 - version 2.8.6
	* Fix for removed function, error_count, in WC >= 2.3
	* Added new option to disable anchor linking on multipage forms.  Used for some themes which have issues with jumping to specific anchor locations.

2015.02.10 - version 2.8.5
	* Update: Show gravity form when catalog visibility is being used to hide the add to cart button.

2015.02.06 - version 2.8.4
	* WC 2.3 updates.

2014.12.24 - version 2.8.3
	* Allow use of hidden fields.  Will not show in the cart or order emails but will show in admin.

2014.12.16 - version 2.8.2
	* Remove URL hash on multipage forms when the product has successfully been added to the cart.

2014.08.27 - version 2.8.1
	* Added filter to allow submitting of field Values to the order.  Default is to use the Field Label for the Order.
		woocommerce_gforms_use_label_as_value
			Parameters:
				$use_field_label:  Use field label or field value.
				$value:  The value which will be used.
				$field: Array of information about the gravity form field.
				$lead: Array of information about the gravity form "lead" being used to generate the data for woocommerce.
				$form_meta: Array of information about the form itself.

2014.08.18 - version 2.8.0
	* Modification of the strip_tags function to allow some malformed HTML entries.

2014.06.19 - version 2.7.12
	* Modification of next and previous actions on multipage forms to return to the form position.

2014.05.28 - version 2.7.11
	* Fixed the anchor added in the previous release to be closed properly.

2014.04.24 - version 2.7.10
	* Added anchor and code to append anchor has to the top of long multipage forms.

2014.04.23 - version 2.7.9
	* Added filter to choose the display value for form fields in the cart and on checkout.
		woocommerce_gforms_field_display_text
			Parameters:
				$display_text:  The text which will be displayed.
				$display_value: The actual value of the field. Usually the same as display_text except when using both labels and values
				$field: Array of information about the gravity form field.
				$lead: Array of information about the gravity form "lead" being used to generate the data for woocommerce.
				$form_meta: Array of information about the form itself.

2014.04.14 - version 2.7.8
	* Update to fix notice when checking for embedded products.

2014.03.25 - version 2.7.7
	* Update to allow file uploads to work on multipage forms.

2014.03.21 - version 2.7.6
	* Remove HTML Entity decode from value.  Use filter woocommerce_gforms_order_meta_value to return a decoded value if required.

2014.02.18 - version 2.7.5
	* Only add product fields when quantity has been entered by the end user.
	* Fix for allowing the Gravity Forms total field to function when all WooCommerce total fields are disabled.

2014.02.12 - version 2.7.4
	* Added support for gravity forms product addons when products loaded with the product_page shortcode.

2014.02.04 - version 2.7.3
	* Fix for javascript error when viewing a product which has been disabled via the Catalog Visibility Plugin.
	* Modify re-setting of $_POST variables to only set when the form has been posted.  Allows default options to work as expected.

2014.01.22 - version 2.7.2
	* Added support for Gravity Forms Multi File Upload field.

2014.01.14 - version 2.7.1
	* Remove old debug script enqueue.

2014.01.05 - version 2.7.0
	* WooCommerce 2.1x compatability

2013.12.30 - version 2.6.2
	* Added more entropy to the unique id function for disabling gravity forms calculation caching.
	* Updated validation routine to not set a incorrect URL.  Gravity Forms updates the SERVER_URI, so we need to set it back to the viewed product.

2013.12.21 - version 2.6.1
	* Allow redirect confirmations.

2013.12.17 - version 2.6.0
	* Modification to how add to cart buttons are overridden.  No longer use javascript and json encoded data to override the button.

2013.12.08 - version 2.5.2
	* Updated filters for disable of notifications and of confirmation messages.

2013.11.27 - version 2.5.1
	* Full support for sold items individually.

2013.11.21 - version 2.5.0
	* Support for Gravity Forms 1.8beta
	* Use Labels instead of Values when options field is using both.

2013.11.11 - version 2.4.12
	* Moved bulk of the custom javascript to an external javascript file.

2013.11.05 - version 2.4.11
	* Update:  HTML entities on admin order screen.

2013.10.25 - version 2.4.10
	* Fix: return false from validation routine if $valid is already false.

2013.10.21 - version 2.4.9
	* Hide gravity form on variable subscription products until the variation is selected.
	* Update to esc_attr() in gravity form metabox on products.

2013.10.08 - version 2.4.8
	* Update to Order Again to account for irregularities in meta key naming in core.
	* Update to restore error_reporting to previous level
	* No longer disable the submit button during updating of the price. In rare situations when the change event fires when
		the submit button is clicked, the form will not submit until it was clicked a second time.

2013.09.25 - version 2.4.7
	* Added support for Order Again

2013.09.12 - version 2.4.6
	* Fix: Remove wp_get_referer() in constructor for compatibility with WordPress 3.6.1 load order.

2013.08.31 - version 2.4.5
	* Update: Better compatibility with Wishlists.

2013.07.16 - version 2.4.4
	* Update: CSS tweaks for display of checkbox items in the cart.

2013.06.18 - version 2.4.3
	* Update:  Added notice that Gravity Forms is required.
	* Fix:  Incorrect text domain used in some strings.

2013.05.04 - version 2.4.2
  * Update for PHP 5.4.
  * Updates for total discounting and dynamic pricing.
  * Fixes additional 1.7 compatibility issues.

2013.04.29 - version 2.4.1
  * Additional support for Gravity Forms 1.7x
  * Modified HTML stripping rules to strip only when it's not a file upload field.

2013.04.25 - version 2.4.0
  * Support for Gravity Forms 1.7x

2013.04.22 - version 2.3.3
 * Added: Filter to control when HTML is stripped from the order.
        apply_filters('woocommerce_gforms_strip_meta_html', $strip_html, $value, $field, $entry, $form_meta, $order_item_id, $cart_item);

2013.04.22 - version 2.3.2
    * Multisite activation compatibiliity.

2013.04.11 - version 2.3.1
    * Update - strip tags from fields that generate HTML, such as the list field.

2013.04.09 - version 2.3
    * Added support for displaying calculations when price effected by dynamic pricing simple rules.

2013.03.21 - version 2.2.3
   * Fixes scripts not rendering on all product types, preventing multipage from working when Totals were disabled.

2013.03.04 - version 2.2.2
   * Updated order meta for WC 2.0 compatibility.
   * Fix to make variable products compatible with WC 2.0

2013.03.01 - version 2.2
   * Fix for quantity field on multipage forms
   * Fix for display problem with variation sale price when gravity form total calculations are disabled.

2013.01.22 - version 2.1
   * Added support for image / upload fields on multi-page forms as well as forms that have validation.

2012.12.28 - version 2.0
   *Support for WooCommerce 2.0

2012.12.12 - version 1.4.1
   *Fix $wpdb->prepare error after WP3.5 upgrades

2012.12.08 - version 1.4.0
    *Standard gravity forms product fields added to cart item meta, and order item meta. Use a hidden product if you do not want the gravity form product to show to the end user.

2012.12.04 - version 1.3.9
 * New updater

2012.11.03 - version 1.3.8
  * Updated the event for triggering price calculations to the found_variation event.

2012.09.04 - version 1.3.7
  * Added notice about a price or variation being required before the gravity form will display on single-product pages.

2012.07.24 - version 1.3.6
  * Updated tabs

2012.07.24 - version 1.3.5
  * Fixed multipage form validation issue.
  * Fixed continue shopping and redirect to cart after submission problem.

2012.06.27 - version 1.3.4
  * Fixed product total displaying when Gravity Forms calculations are being used.

2012.06.19 - version 1.3.3
  * Fixed hidden prices for variations

2012.05.02 - version 1.3.2
  * Fixed validation error in gravity forms 1.6.4 where the product would be double added to the cart

2012.02.11 - version 1.3.1
  * Updates for Gravity Forms 1.6.3

2012.02.11 - version 1.3
  * Force turning off PHP warnings during submission process.  Required due to bugs in Gravity Forms which generate warnings.
  * Updated to respect redirect to cart setting in WooCommerce catalog settings.

2012.02.02 - version 1.2.2
 * Fixed a bug that was not displaying check box fields on the order details email and in the admin area.

2012.02.02 - version 1.2.1
 * Fixed a bug that was not processing checkbox fields properly after going to the orders screen.
 * Fixed changelog

2012.01.28 - version 1.2
 * Now requires WooCommerce 1.4
 * Modifications to support new features in WooCommerce 1.4
 * Allow Multi-Page forms
 * Allow Gravity Forms validation

2012.01.17 - version 1.1
 * Modification to allow a gravity form to be used on the same page as a product with an attached gravity form.

2011.12.22 - version 1.0
 * First Release
